Name:		raspa
Version:	2.0.2
Release:	1%{?dist}
Summary:	General purpose classical molecular simulation
# Licence files are in github but not the tarball
License:	GPLv3
URL:		https://github.com/numat/RASPA2/
Source0:	https://pypi.python.org/packages/source/R/RASPA2/RASPA2-%version.tar.gz
BuildRequires:	python-setuptools python-devel


%{?filter_setup:
%filter_provides_in %python_sitearch/RASPA2/simulations/lib/*.so
%filter_setup
}
%global __provides_exclude_from %python_sitearch/RASPA2/simulations/lib/*.so

%description

RASPA is a general purpose classical simulation package.  It can be
used for the simulation of molecules in gases, fluids, zeolites,
aluminosilicates, metal-organic frameworks, carbon nanotubes and
external fields.

Refs:
* D. Dubbeldam, S. Calero, D.E. Ellis, and R.Q. Snurr, “RASPA: Molecular
  Simulation Software for Adsorption and Diffusion in Flexible Nanoporous
  Materials”, Mol. Sim., 2014.
* D. Dubbeldam, A. Torres-Knoop, and K.S. Walton, “On the Inner
  Workings of Monte Carlo Codes”, Mol. Sim. (special issue on Monte
  Carlo) 39(14-15), 1253-1292 (2013).
  http://www.tandfonline.com/doi/full/10.1080/08927022.2013.819102
* D. Dubbeldam and R.Q. Snurr, “Recent developments in the molecular
  modeling of diffusion in nanoporous materials”, Mol. Sim., 33 (4-5),
  305-325, 2007 http://www.tandfonline.com/doi/abs/10.1080/08927020601156418


%prep
%setup -q -n RASPA2-%version


%build
CFLAGS="${CFLAGS:-%optflags}" LDFLAGS="${LDFLAGS:-%{?__global_ldflags}}" \
  python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT/%_bindir/simulate $RPM_BUILD_ROOT/%_bindir/raspa-simulate
find $RPM_BUILD_ROOT%python_sitearch/RASPA2/share -name \*.def | xargs chmod 0644


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc README README.md 
%_bindir/raspa-*
%exclude %python_sitearch/RASPA2/share/raspa/src
%python_sitearch/RASPA2*


%changelog
* Fri Oct 16 2015 Dave Love <loveshack@fedoraproject.org> - 2.0.2-1
- Initial packaging
